GISUtils
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis
Class GISUtils

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis.GISUtils

    public class GISUtils

extends java.lang.Object

Field Summary
`static char` | `delimiter`
`static boolean` | `hasHeader`

Constructor Summary
`GISUtils()`

Method Summary
`static void` | `deleteLayer(LayerInfo toDelete)`
`static void` | `deleteWMSContext(WMSContextInfo toDelete)`
`static LayerInfo` | `generateLayer(LayerGenerationRequest request)`
`static DataSourceDescriptor` | `getGeoNetwork()`
`static GeoServerDescriptor` | `getGeoServer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delimiter

    public static char delimiter

### hasHeader

    public static boolean hasHeader

Constructor Detail

### GISUtils

    public GISUtils()

Method Detail

### generateLayer

    public static LayerInfo generateLayer(LayerGenerationRequest request)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteLayer

    public static void deleteLayer(LayerInfo toDelete)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteWMSContext

    public static void deleteWMSContext(WMSContextInfo toDelete)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getGeoServer

    public static GeoServerDescriptor getGeoServer()
                                            throws ParameterNotFoundException,
                                                   ScopeNotFoundException

  Throws:
    `ParameterNotFoundException`
    `ScopeNotFoundException`

### getGeoNetwork

    public static DataSourceDescriptor getGeoNetwork()
                                              throws ParameterNotFoundException,
                                                     ScopeNotFoundException

  Throws:
    `ParameterNotFoundException`
    `ScopeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD